//
//  AppDelegate.h
//  HA7 logger mini
//  Copyright(C)2015 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2015.03.08 v0.0  First cording
//    2015.03.23 v0.5  Commit
//

#import <UIKit/UIKit.h>
#import "ObdDataLogger.h"

@interface AppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow       *window;
@property (strong, nonatomic) ObdDataLogger  *obd;

- (void)setDisplayOn;
- (void)unsetDisplayOn;

@end

