//
//  VehicleViewController.h - Showing the realtime data
//  HA7 logger mini
//  Copyright(C)2015 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2015.03.08 v0.0  First cording
//    2015.03.23 v0.5  Commit
//

#import <UIKit/UIKit.h>

@interface VehicleViewController : UITableViewController
@property (strong, nonatomic) IBOutlet UILabel  *ect;
@property (strong, nonatomic) IBOutlet UILabel  *shrtft1;
@property (strong, nonatomic) IBOutlet UILabel  *longft1;
@property (strong, nonatomic) IBOutlet UILabel  *map;
@property (strong, nonatomic) IBOutlet UILabel  *rpm;
@property (strong, nonatomic) IBOutlet UILabel  *vss;
@property (strong, nonatomic) IBOutlet UILabel  *sparkadv;
@property (strong, nonatomic) IBOutlet UILabel  *iat;
@property (strong, nonatomic) IBOutlet UILabel  *tp;
@property (strong, nonatomic) IBOutlet UILabel  *o2s11;
@property (strong, nonatomic) IBOutlet UILabel  *shrtft11;
@property (strong, nonatomic) IBOutlet UILabel  *vpwr;

@property (strong, nonatomic) IBOutlet UILabel  *af;            // ADD 2013.08.19
@property (strong, nonatomic) IBOutlet UILabel  *ff;            // ADD 2013.08.19
@property (strong, nonatomic) IBOutlet UILabel  *r;             // ADD 2013.08.19
@property (strong, nonatomic) IBOutlet UILabel  *v;             // ADD 2013.08.19
@property (strong, nonatomic) IBOutlet UILabel  *atm;           // ADD 2013.08.19
@property (strong, nonatomic) IBOutlet UILabel  *dist;          // ADD 2013.08.19
@property (strong, nonatomic) IBOutlet UILabel  *fuse;          // ADD 2013.08.19
@property (strong, nonatomic) IBOutlet UILabel  *eff;           // ADD 2013.08.19

@property (strong, nonatomic) IBOutlet UILabel  *dist_s;
@property (strong, nonatomic) IBOutlet UILabel  *fuse_s;
@property (strong, nonatomic) IBOutlet UILabel  *runtm;
@property (strong, nonatomic) IBOutlet UILabel  *movtm;

@property (strong, nonatomic) IBOutlet UILabel  *dist_d;
@property (strong, nonatomic) IBOutlet UILabel  *fuse_d;
@property (strong, nonatomic) IBOutlet UILabel  *runtm_d;
@property (strong, nonatomic) IBOutlet UILabel  *movtm_d;

@property (strong, nonatomic) IBOutlet UILabel  *remainFuel;    // ADD 2013.08.19

@property (strong, nonatomic) IBOutlet UILabel  *latitude;      // ADD 2015.03.10
@property (strong, nonatomic) IBOutlet UILabel  *longitude;     // ADD 2015.03.10
@property (strong, nonatomic) IBOutlet UILabel  *altitude;      // ADD 2015.03.10
@property (strong, nonatomic) IBOutlet UILabel  *heading;       // ADD 2015.03.10

@property (strong, nonatomic) IBOutlet UILabel  *statusMsg;     // ADD 2015.03.10
@end
